//
//  PEDetailViewController.m
//  Persistency
//
//  Created by Felix Rohrer on 21.04.13.
//  Copyright (c) 2013 Felix Rohrer. All rights reserved.
//

#import "PEDetailViewController.h"
#import "PEEditViewController.h"

@interface PEDetailViewController ()
- (void)configureView;
@end

@implementation PEDetailViewController

#pragma mark - Managing the detail item

- (void)setManagedObject:(id)newManagedObject
{
    if (_managedObject != newManagedObject) {
        _managedObject = newManagedObject;
        
        // Update the view.
        [self configureView];
    }
}

- (void)configureView
{
    // Update the user interface for the detail item.

    if (self.managedObject) {
        self.detailDescriptionLabel.text = [[self.managedObject valueForKey:@"name"] description];
    }
    
    NSUserDefaults* standardUserDefaults = [NSUserDefaults standardUserDefaults];
    self.appearanceCounterLabel.text = [NSString stringWithFormat:@"%d", [standardUserDefaults integerForKey:@"appearanceCounter"]];
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    UIBarButtonItem *editButton = [[UIBarButtonItem alloc] initWithBarButtonSystemItem:UIBarButtonSystemItemEdit target:self action:@selector(editObject:)];
    self.navigationItem.rightBarButtonItem = editButton;
    
    self.editViewController = [[PEEditViewController alloc] init];
    self.editViewController.modalTransitionStyle = UIModalTransitionStyleCrossDissolve;
    
    [self configureView];
}

-(void)viewWillAppear:(BOOL)animated {
    [self configureView];
}

- (void)editObject:(id)sender
{
    // modal view --> EDIT
    self.editViewController.managedObjectContext = self.managedObjectContext;
    self.editViewController.managedObject = self.managedObject;

    [self presentViewController:self.editViewController animated:YES completion:nil];

}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        self.title = NSLocalizedString(@"Detail", @"Detail");
    }
    return self;
}
							
@end
